Bug 954107 - Add "makeself" to Fedora Repo. Required for compiling some programs.
Summary: Add "makeself" to Fedora Repo. Required for compiling some programs.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Bill Nottingham
URL:
Whiteboard:
Depends On: makeself
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-20 19:59 UTC by Moez Roy
Modified: 2014-11-30 19:15 UTC (History)
5 users (show)

Fixed In Version: makeself-2.2.0-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-02 04:50:58 UTC
Type: Bug
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Moez Roy 2013-04-20 19:59:23 UTC
http://www.megastep.org/makeself/

Add "makeself" to Fedora Repo. Required for compiling some programs.

-------------
"makeself" is required to compile VirtualBox from source.

svn co http://www.virtualbox.org/svn/vbox/trunk vbox


Checking for makeself: 
  ** makeself (variable makeself) not found!

Comment 1 Bill Nottingham 2013-04-22 19:52:05 UTC
Are you interested in maintaining this in Fedora? We do not add packages without a willing maintainer.

For information on how to maintain packages in Fedora, see:
  https://fedoraproject.org/wiki/Join_the_package_collection_maintainers

In the meantime, I've added this to the package wishlist at:
  https://fedoraproject.org/wiki/Package_maintainers_wishlist

Closing as DEFERRED until someone picks it up.

Comment 2 Dridi Boukelmoune 2013-06-24 11:20:27 UTC
Hi,

I'd be glad to maintain this package, but I'd need to become a packager first. You can find a spec and a source RPM for review here:
https://bitbucket.org/dridi/fedora_packages/downloads

Should I instead open a separate "review request" issue ?

In the source RPM, there's a patch that does two things:
- fix the usage message (already notified to upstream)
- change the path to a "header script"

The header script is a script that is sourced by the makeself script. The default location is taken from the makeself script's directory, which is not relevant when executed from the path.

To test the package, I've tried to build virtualbox as pointed above, and it works fine.
Checking for makeself: found version 2.2.0, OK.

Comment 3 Dridi Boukelmoune 2013-06-24 15:24:58 UTC
The two issues I've opened have already been fixed in the upstream project:
https://github.com/megastep/makeself/issues/21
https://github.com/megastep/makeself/issues/22

The second one I haven't mentioned yet is an outdated version of the GPLv2 license (seen in rpmlint). I'll need to update the spec to handle that for the 2.2.0 release, but I'll wait until someone tells me how to proceed for the package review.

Comment 4 Dridi Boukelmoune 2013-09-02 04:50:58 UTC
Hi,

makeself is now available in Fedora 19! I will push it to Fedora 18 and 20 ASAP, and I'm closing this issue.

Cheers,
Dridi

Comment 5 Sergio Basto 2013-09-02 23:18:56 UTC
(In reply to Dridi Boukelmoune from comment #4)
> Hi,
> 
> makeself is now available in Fedora 19! I will push it to Fedora 18 and 20
> ASAP, and I'm closing this issue.

Dridi , to have makeself on Fedora 18 
you need to do a Bodhi update request, like you did for F19 
you can do in web ( https://admin.fedoraproject.org/updates/new)  or with fedpkg command line :

fedpkg switch-branch f18; fedpkg update

Comment 6 Dridi Boukelmoune 2013-09-15 10:13:50 UTC
Makeself is available in Fedora 18 for a few days. I could have sworn I asked to push directly in stable with bohdi but instead I had to wait the 1-week review in testing.

All done ;)

Comment 7 Sergio Basto 2013-09-15 17:43:39 UTC
Thanks

Comment 8 Moez Roy 2014-11-10 05:13:50 UTC
SCM branch request:

Package Change Request
======================
Package Name: makeself
New Branches: epel7 el6
Owners: moezroy dridi

Comment 9 Gwyn Ciesla 2014-11-10 13:13:19 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-11-11 09:13:36 UTC
makeself-2.2.0-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/makeself-2.2.0-3.el7

Comment 11 Fedora Update System 2014-11-11 09:29:13 UTC
makeself-2.2.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/makeself-2.2.0-3.el6

Comment 12 Fedora Update System 2014-11-30 19:13:05 UTC
makeself-2.2.0-3.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 13 Fedora Update System 2014-11-30 19:15:46 UTC
makeself-2.2.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.